# PSF-LoginServer - master - net.psforever.services.hart.HartTimerActions
PSF - LoginServer - master - net.psforever.services.hart.HartTimerActions
Keywords: PSF LoginServer master net.psforever.services.hart.HartTimerActions

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package services
  Definition Classes
    psforever
-  package hart
  Definition Classes
    services
- HartEvent
- HartEventStateFields
- HartEventTimeFields
- HartService
- HartTimer
- HartTimerActions
- ShuttleState

o

net.psforever.services.hart

# HartTimerActions

###

#### object HartTimerActions

Source
  HartTimerActions.scala

Linear Supertypes
AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. HartTimerActions
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def ShuttleDocked(pad: OrbitalShuttlePad, shuttle: Vehicle, toChannel: String): Unit

   Update the shuttle's mounted arrangement with the pad, setting the state.

   Update the shuttle's mounted arrangement with the pad, setting the state.

   pad

     the orbital shuttle pad

   shuttle

     the orbital shuttle pad's shuttle

   toChannel

     to whom these messages will be dispatched

5.  def ShuttleFreeFromDock(pad: OrbitalShuttlePad, shuttle: Vehicle, toChannel: String): Unit

   Update the shuttle's mounted arrangement with the pad, undoing any connection.

   Update the shuttle's mounted arrangement with the pad, undoing any connection.

   pad

     the orbital shuttle pad

   shuttle

     the orbital shuttle pad's shuttle

   toChannel

     to whom these messages will be dispatched

6.  def ShuttleStateUpdate(pad: OrbitalShuttlePad, shuttle: Vehicle, toChannel: String, state: Int): Unit

   Update the shuttle's flight state.

   Update the shuttle's flight state.

   pad

     the orbital shuttle pad

   shuttle

     the orbital shuttle pad's shuttle

   toChannel

     to whom these messages will be dispatched

7.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
8.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
9.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
10.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
11.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
12.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
13.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
14.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
15.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
16.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
17.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
18.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
19.  def toString(): String
    Definition Classes
      AnyRef → Any
20.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
21.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
22.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from AnyRef

### Inherited from Any

### Ungrouped